<!DOCTYPE html>
<html>
<head>
	<meta charset="utf-8">
	<meta name="viewport" content="width=device-width, initial-scale=1">

	<!-- Bootstrap Meta Tags -->
	<meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">

	<title>Bootstrap Introduction and Simple Styles</title>

	<!-- Bootsrap CSS -->
	<link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap@4.6.2/dist/css/bootstrap.min.css" integrity="sha384-xOolHFLEh07PJGoPkLv1IbcEPTNtaed2xpHsD9ESMhqIYd0nLMwNLD69Npy4HI+N" crossorigin="anonymous">
</head>
<!-- aligns the text in center -->
<body class="text-center bg-secondary">

	<!-- navbar -->
	<!-- displays the dic in natural flow until the page cannot be scrolled down -->
	<div class="bg-primary text-light fixed-top p-1">Fixed Top Navbar</div>
	<!-- <div class="bg-primaru text-light sticky-top> -->
	<!-- end of navbar -->

	<!-- <div class="container"-->
	<div class="container-fluid mt-5 mb-5">
	<!-- header -->
		<h2>Bootstrap Introduction and Simple Styles</h2>
	<!-- end of header -->

	</div>

	<!-- bootstrap color classes -->
	<table class="table table-dark table-bordered">
		<thead>
			<tr>
				<th>Text</th>
			</tr>
		</thead>
		<tbody>
			<tr>
				<td>
					<a href="#" class="text-primary">Primary Link</a>
				</td>
				<td class="bg-primary text-white">Primary</td>
			</tr>
			<!-- ctrl + shift + d to duplicate highlighted lines -->
			<tr>
				<td>
					<a href="#" class="text-secondary">Secondary Link</a>
				</td>
				<td class="bg-secondary text-white">Secondary</td>
			</tr>
			<tr>
				<td>
					<a href="#" class="text-success">Success Link</a>
				</td>
				<td class="bg-success text-white">Success</td>
			</tr>
			<tr>
				<td>
					<a href="#" class="text-danger">Danger Link</a>
				</td>
				<td class="bg-danger text-white">Danger</td>
			</tr>
		</tbody>
	</table>
	<!-- end of bootstrap color classes -->

	<!-- header -->
	<h2>Text Alignment</h2>
	<!-- end of header -->
	<table class="table table-dark table-bordered text-white">
		<thead>
			<tr>
				<th>
					Alignment
				</th>
			</tr>
		</thead>
		<tbody>
			<tr>
				<td class="text-left">Left</td>
			</tr>
			<tr>
				<td class="text-center">Center</td>
			</tr>
			<tr>
				<td class="text-right">Right</td>
			</tr>
			<!-- with own breakpoint alignments -->
			<tr>
				<!-- sm - small screen size; greater than or equal to 576px -->
				<!-- Mobiles -->
				<td class="text-sm-center">Small Center</td>
			</tr>
			<tr>
				<!-- md - medium screen size; greater than or equal to 786px -->
				<!-- Tablets -->
				<td class="text-md-left">Medium Left</td>
			</tr>
			<tr>
				<!-- lg -large screen size; greater than or equal to 1200px-->
				<!-- TV, Laptops or Desktops-->
				<td class="text-lg-right">Large Right</td>
			</tr>
		</tbody>
		
	</table>

	<!-- Bootstrap script -->
	<script src="https://cdn.jsdelivr.net/npm/jquery@3.5.1/dist/jquery.slim.min.js" integrity="sha384-DfXdz2htPH0lsSSs5nCTpuj/zy4C+OGpamoFVy38MVBnE+IbbVYUew+OrCXaRkfj" crossorigin="anonymous"></script>
	<script src="https://cdn.jsdelivr.net/npm/bootstrap@4.6.2/dist/js/bootstrap.bundle.min.js" integrity="sha384-Fy6S3B9q64WdZWQUiU+q4/2Lc9npb8tCaSX9FK7E8HnRr0Jz8D6OP9dO5Vg3Q9ct" crossorigin="anonymous"></script>

	<!-- header -->
	<h2>Bootstrap Border and Sizing Classes</h2>
	<!-- end of header -->
	<div>
	<table class="table table-dark table-bordered text-light">
		<thead>
			<tr>
				<th>Border</th>
			</tr>
		</thead>
		<tbody>
			<tr>
				<td>
					<div class="bg-info border border-primary rounded w-100">Rounded</div>
				</td>
			</tr>
			<tr>
				<td>
					<!-- <div class="w-50"> -->
					<div class="bg-secondary border border-white rounded-circle text-center w-50">Rounded-Circle</div>
					<!-- </div> -->
				</td>
			</tr>
			<tr>
				<td>
					<div class="bg-warning border border-danger rounded-pill w-75">Rounded-Pill</div>
				</td>
			</tr>
		</tbody>
		
	</table>

</div>
<!-- </div> -->

<!-- footer -->
<div class="bg-primary text-light fixed-bottom p-1">Fixed Bottom Footer</div>
<!-- end of footer -->

</body>
</html>